<template>
  <div>
    <section>

      <div class="container-fluid slider">
        <slider-portfolio :filterType.sync="filterType" />
      </div>
    </section>

    <div v-if="filterType==3">
      <Alls/>
    </div>

    <div v-else-if="filterType==1">
      <SMM/>
    </div>

    <div v-else-if="filterType==2">
      <Publicity/>
    </div>

    <div v-else-if="filterType==4">
      <Influence/>
    </div>

    <div v-else-if="filterType==5">
      <Brending/>
    </div>


    <buttons/>
  </div>
</template>
<script>
import Alls from "@/components/Alls";
import SMM from "@/components/SMM";
import Influence from "@/components/Influence";
import Brending from "@/components/Brending";
import Publicity from "@/components/Publicity";

export default {
  components: {Publicity, Influence, SMM, Alls,  Brending},
  data() {
    return {
      filterType: 3,
    }
  },
  // methods: {
  //   getFilterType(filter) {
  //
  //     this.filterType = filter
  //     // alert(this.filterType)
  //   },
  //
  // },
  async mounted() {
  }
}
</script>

<style lang="scss" scoped>
.slider {
  padding-top: 100px;
}

.done {
  background-size: cover;
  background-repeat: no-repeat;
  margin-top: 120px;
  font-family: "Montserrat";
}

p {
  margin-top: 77px;
  margin-bottom: 64px;
  font-style: normal;
  font-weight: 450;
  font-size: 22px;
  line-height: 155.9%;
  color: #ffffff;
  opacity: 0.5;
}

.done {
  h2 {
    font-style: normal;
    font-weight: 750;
    font-size: 32px;
    line-height: 39px;
    color: #ffffff;
    margin-top: 128px;
  }

  img {
    margin-top: 64px;
  }

  span {
    font-style: normal;
    font-weight: 450;
    font-size: 15px;
    line-height: 155.9%;
    color: #ffffff;
    opacity: 0.5;
  }

  h1 {
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 600;
    font-size: 132px;
    line-height: 161px;
    color: #ffffff;
    opacity: 0.5;
  }
}

@media screen and (max-width: 991px) {
}

p {
  margin-top: 25px;
  margin-bottom: 10px;
  font-size: 20px;
}

.done {
  h2 {
    margin-top: 30px;
    margin-bottom: 0px;
  }

  span {
    font-size: 12px;
  }

  img {
    margin-top: 30px;
  }

  h1 {
    font-size: 100px;
  }
}

@media screen and (max-width: 767px) {
  .slider {
    padding-top: 10px;
  }

  .done img {
    margin-top: 10px;
  }

  .done h2 {
    margin-top: 30px;
  }

  p {
    font-size: 19px;
    margin-top: 10px;
  }
  .done {
    margin-top: 0px;

    h1 {
      font-size: 80px;
    }
  }
}

@media screen and (max-width: 576px) {
  .done .container h2 {
    font-size: 22px !important;
  }

  .done .container h2 svg {
    width: 35px;
  }
  p {
    font-size: 11px;
  }

  .done {
    h1 {
      font-size: 45px;
      line-height: 50px;
    }
  }
}


</style>
